<!--
  Generated template for the PatDetailPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Patient: {{ pat }} </ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-card>
    <form [formGroup]="patForm">

      <!--
      <ion-item>
        <ion-label floating>ID</ion-label>
        <ion-input [formControl]="patForm.controls['id']" disabled="true"
                   type="text"></ion-input>
      </ion-item>
-->
      <ion-item>
        <ion-label floating>Nachname</ion-label>
        <ion-input [formControl]="patForm.controls['nachname']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Vorname</ion-label>
        <ion-input [formControl]="patForm.controls['vorname']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Geschlecht</ion-label>
        <ion-select [formControl]="patForm.controls['geschlecht']">
          <ion-option value="f">Weiblich</ion-option>
          <ion-option value="m">Männlich</ion-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label floating>Geburtsdatum</ion-label>
        <ion-datetime displayFormat="DD.MM.YYYY" [formControl]="patForm.controls['geburtsdatum']"></ion-datetime>
      </ion-item>

      <ion-item>
        <ion-label floating>Kostenträger</ion-label>
        <ion-input [formControl]="patForm.controls['kostentraeger']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Krankenkasse</ion-label>
        <ion-input [formControl]="patForm.controls['krankenkasse']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Versicherungsnummer</ion-label>
        <ion-input [formControl]="patForm.controls['versicherungsnummer']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Versicherungsstatus</ion-label>
        <ion-input [formControl]="patForm.controls['versicherungsstatus']"
                   type="text"></ion-input>
      </ion-item>

      <ion-row padding>
        <ion-col text-center>
          <button ion-button block color="primary" (click)="savePat()">
            Speichern
          </button>
        </ion-col>
      </ion-row>

      <ion-row padding>
        <ion-col text-center>
          <button ion-button block color="danger" (click)="deletePat()">
            Löschen
          </button>
        </ion-col>
      </ion-row>

    </form>
  </ion-card>
</ion-content>

<!--

vorname: [''],
nachname: [''],
geschlecht: [''],
geburtsdatum: [''],
kostentraeger: [''],
krankenkasse: [''],
versicherungsnummer: [''],
versicherungsstatus: ['']

-->
